Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5116)
@@ -30,5 +30,5 @@
   USE wx_pbl_mod, ONLY: wx_pbl0_merge, wx_pbl_split, wx_pbl_dts_merge, &
           wx_pbl_check, wx_pbl_dts_check, wx_evappot
-  use config_ocean_skin_m, only: activate_ocean_skin
+  use config_ocean_skin_m, ONLY: activate_ocean_skin
   USE lmdz_abort_physic, ONLY: abort_physic
 #ifdef ISO
@@ -393,5 +393,5 @@
     USE carbon_cycle_mod, ONLY: carbon_cycle_cpl, carbon_cycle_tr, level_coupling_esm
     USE carbon_cycle_mod, ONLY: co2_send, nbcf_out, fields_out, yfields_out, cfname_out
-    use hbtm_mod, only: hbtm
+    use hbtm_mod, ONLY: hbtm
     USE indice_sol_mod
     USE time_phylmdz_mod, ONLY: day_ini, annee_ref, itau_phy
@@ -404,14 +404,14 @@
 #endif
 #ifdef ISOTRAC
-        USE isotrac_mod, only: index_iso
+        USE isotrac_mod, ONLY: index_iso
 #endif
 #endif
     USE lmdz_ioipsl_getin_p, ONLY:getin_p
-    use phys_state_var_mod, only: ds_ns, dt_ns, delta_sst, delta_sal, dter, &
+    use phys_state_var_mod, ONLY: ds_ns, dt_ns, delta_sst, delta_sal, dter, &
             dser, dt_ds, zsig, zmea
-    use phys_output_var_mod, only: tkt, tks, taur, sss
+    use phys_output_var_mod, ONLY: tkt, tks, taur, sss
     use lmdz_blowing_snow_ini, ONLY: zeta_bs
     USE wxios, ONLY: missing_val_xios => missing_val, using_xios
-    USE netcdf, only: missing_val_netcdf => nf90_fill_real
+    USE netcdf, ONLY: missing_val_netcdf => nf90_fill_real
 
     IMPLICIT NONE
@@ -1844,6 +1844,6 @@
       ENDIF
 
-      if (nsrf == is_oce .and. activate_ocean_skin >= 1) then
-        if (activate_ocean_skin == 2 .and. type_ocean == "couple") then
+      if (nsrf == is_oce .and. activate_ocean_skin >= 1) THEN
+        if (activate_ocean_skin == 2 .and. type_ocean == "couple") THEN
           ydelta_sal(:knon) = delta_sal(ni(:knon))
           ydelta_sst(:knon) = delta_sst(ni(:knon))
@@ -2465,10 +2465,10 @@
 #endif
 #ifdef ISOVERIF
-!        write(*,*) 'pbl_surface_mod 1038: sortie surf_land'
+!        WRITE(*,*) 'pbl_surface_mod 1038: sortie surf_land'
         DO j=1,knon
           IF (iso_eau >= 0) THEN
                  CALL iso_verif_egalite(yxtsnow(iso_eau,j), &
                                     ysnow(j),'pbl_surf_mod 1043')
-          ENDIF !if (iso_eau.gt.0) then
+          ENDIF !if (iso_eau.gt.0) THEN
         ENDDO !DO i=1,klon
 #endif
@@ -2535,5 +2535,5 @@
 #endif
 #ifdef ISOVERIF
-             !write(*,*) 'pbl_surface_mod 1060: sortie surf_landice'
+             !WRITE(*,*) 'pbl_surface_mod 1060: sortie surf_landice'
              do j=1,knon
                IF (iso_eau >= 0) THEN
@@ -2634,5 +2634,5 @@
 #endif
 #ifdef ISOVERIF
-        !write(*,*) 'pbl_surface_mod 1077: sortie surf_seaice'
+        !WRITE(*,*) 'pbl_surface_mod 1077: sortie surf_seaice'
         DO j=1,knon
           IF (iso_eau >= 0) THEN
@@ -3089,5 +3089,5 @@
             !FC
             IF  (nsrf == is_ter .and. ifl_pbltree >= 1) THEN
-              !            if (y_d_u_frein(j,k).ne.0. ) then
+              !            if (y_d_u_frein(j,k).ne.0. ) THEN
               !        PRINT*, nsrf,'IS_TER ++', y_d_u_frein(j,k)*ypct(j),y_d_u(j,k),j,k
               !            ENDIF
@@ -3117,5 +3117,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_vect2D( &
                 y_d_xt,y_d_q, &
@@ -3263,5 +3263,5 @@
           CALL iso_verif_egalite_choix(Rland_ice(iso_eau,i),1.0, &
            'pbl_surf_mod 1230',errmax,errmaxrel)
-        ENDIF !if (iso_eau.gt.0) then
+        ENDIF !if (iso_eau.gt.0) THEN
 #endif
 #endif
@@ -3392,5 +3392,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       !write(*,*) 'pbl_surface 2858'
+       !WRITE(*,*) 'pbl_surface 2858'
        DO i = 1, klon
          DO ixt=1,niso
@@ -3404,5 +3404,5 @@
                 y_d_xt,y_d_q, &
                 'pbl_surface_mod 1261',ntraciso,klon,klev)
-     ENDIF !if (iso_eau.gt.0) then
+     ENDIF !if (iso_eau.gt.0) THEN
 #endif
 #endif
@@ -3467,8 +3467,8 @@
 #ifdef ISO
 #ifdef ISOVERIF
-!        write(*,*) 'd_q,d_xt(iso_eau,554,19)=',d_q(554,19),d_xt(iso_eau,554,19)
-!        write(*,*) 'pbl_surface 2929: d_q,d_xt(iso_eau,2,1)=',d_q(2,1),d_xt(iso_eau,2,1)
-!        write(*,*) 'y_d_q,y_d_xt(iso_eau,2,1)=',y_d_q(2,1),y_d_xt(iso_eau,2,1)
-!        write(*,*) 'iso_eau.gt.0=',iso_eau.gt.0
+!        WRITE(*,*) 'd_q,d_xt(iso_eau,554,19)=',d_q(554,19),d_xt(iso_eau,554,19)
+!        WRITE(*,*) 'pbl_surface 2929: d_q,d_xt(iso_eau,2,1)=',d_q(2,1),d_xt(iso_eau,2,1)
+!        WRITE(*,*) 'y_d_q,y_d_xt(iso_eau,2,1)=',y_d_q(2,1),y_d_xt(iso_eau,2,1)
+!        WRITE(*,*) 'iso_eau.gt.0=',iso_eau.gt.0
         CALL iso_verif_noNaN_vect2D( &
              d_xt, &
@@ -3492,5 +3492,5 @@
       ENDIF
 
-      if (nsrf == is_oce .and. activate_ocean_skin >= 1) then
+      if (nsrf == is_oce .and. activate_ocean_skin >= 1) THEN
         delta_sal = missing_val
         ds_ns = missing_val
@@ -3515,5 +3515,5 @@
         sss(ni(:knon)) = ysss(:knon)
 
-        if (activate_ocean_skin == 2 .and. type_ocean == "couple") then
+        if (activate_ocean_skin == 2 .and. type_ocean == "couple") THEN
           dt_ds = missing_val
           dt_ds(ni(:knon)) = ydt_ds(:knon)
@@ -3873,5 +3873,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-!        write(*,*) 'pbl_surface tmp 3249: d_q,d_xt(iso_eau,2,1)=',d_q(2,1),d_xt(iso_eau,2,1)
+!        WRITE(*,*) 'pbl_surface tmp 3249: d_q,d_xt(iso_eau,2,1)=',d_q(2,1),d_xt(iso_eau,2,1)
     IF (iso_eau >= 0) THEN
         CALL iso_verif_egalite_vect2D( &
@@ -3968,5 +3968,5 @@
 
     ! if blowing snow
-    if (ok_bs) then
+    if (ok_bs) THEN
       DO nsrf = 1, nbsrf
         DO k = 1, klev
@@ -4271,7 +4271,7 @@
 
     USE indice_sol_mod
-    use phys_state_var_mod, only: delta_sal, ds_ns, dt_ns, delta_sst, dter, &
+    use phys_state_var_mod, ONLY: delta_sal, ds_ns, dt_ns, delta_sst, dter, &
             dser, dt_ds
-    use config_ocean_skin_m, only: activate_ocean_skin
+    use config_ocean_skin_m, ONLY: activate_ocean_skin
 
     INCLUDE "dimsoil.h"
@@ -4371,7 +4371,7 @@
                 alb_dif(i, k, nsrf) = 0.06
               ENDDO
-              if (activate_ocean_skin >= 1) then
+              if (activate_ocean_skin >= 1) THEN
                 if (activate_ocean_skin == 2 &
-                        .and. type_ocean == "couple") then
+                        .and. type_ocean == "couple") THEN
                   delta_sal(i) = 0.
                   delta_sst(i) = 0.
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90	(revision 5116)
@@ -133,5 +133,5 @@
     !END IF
 
-    if (year_len/=360) then
+    if (year_len/=360) THEN
       write (*, *) year_len
       CALL abort_physic("iniaqua", 'iniaqua: 360 day calendar is required !', 1)
@@ -227,5 +227,5 @@
 
     ! Si alb_ocean on calcule un albedo oceanique moyen
-    ! if (alb_ocean) then
+    ! if (alb_ocean) THEN
     ! Voir pourquoi on avait ca.
     ! CALL ini_alb_oce(phy_alb)
@@ -929,5 +929,5 @@
       END IF
 
-      if (type_profil==20) then
+      if (type_profil==20) THEN
         PRINT*, 'Profile SST 20'
         !     Méthode 13 "Qmax2K" plateau réel é|  l'Equateur augmenté +2K
@@ -938,5 +938,5 @@
       endif
 
-      if (type_profil==21) then
+      if (type_profil==21) THEN
         PRINT*, 'Profile SST 21'
         !     Méthode 13 "Qmax2K" plateau réel é|  l'Equateur augmenté +2K
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90	(revision 5116)
@@ -10,5 +10,5 @@
   SUBROUTINE phyetat0(fichnom, clesphy0, tabcntr0)
 
-    USE dimphy, only: klon, zmasq, klev
+    USE dimphy, ONLY: klon, zmasq, klev
     USE iophy, ONLY: init_iophy_new
     USE ocean_cpl_mod, ONLY: ocean_cpl_init
@@ -40,6 +40,6 @@
     USE time_phylmdz_mod, ONLY: init_iteration, pdtphys, itau_phy
     USE wxios, ONLY: missing_val_xios => missing_val, using_xios
-    use netcdf, only: missing_val_netcdf => nf90_fill_real
-    use config_ocean_skin_m, only: activate_ocean_skin
+    use netcdf, ONLY: missing_val_netcdf => nf90_fill_real
+    use config_ocean_skin_m, ONLY: activate_ocean_skin
 
     IMPLICIT none
@@ -307,5 +307,5 @@
     !===================================================================
 
-    if (iflag_physiq <= 1) then
+    if (iflag_physiq <= 1) THEN
       !===================================================================
       ! Lecture des temperatures du sol profond:
@@ -444,9 +444,9 @@
     !==================================
 
-    IF (iflag_pbl>1) then
+    IF (iflag_pbl>1) THEN
       found = phyetat0_srf(pbl_tke, "TKE", "Turb. Kinetic. Energ. ", 1.e-8)
     ENDIF
 
-    IF (iflag_pbl>1 .AND. iflag_wake>=1  .AND. iflag_pbl_split >=1) then
+    IF (iflag_pbl>1 .AND. iflag_wake>=1  .AND. iflag_pbl_split >=1) THEN
       found = phyetat0_srf(wake_delta_pbl_tke, "DELTATKE", "Del TKE wk/env", 0.)
       !!    found=phyetat0_srf(delta_tsurf,"DELTA_TSURF","Delta Ts wk/env ",0.)
@@ -585,6 +585,6 @@
     ENDIF ! Slab
 
-    if (activate_ocean_skin >= 1) then
-      if (activate_ocean_skin == 2 .and. type_ocean == 'couple') then
+    if (activate_ocean_skin >= 1) THEN
+      if (activate_ocean_skin == 2 .and. type_ocean == 'couple') THEN
         found = phyetat0_get(delta_sal, "delta_sal", &
                 "ocean-air interface salinity minus bulk salinity", 0.)
@@ -623,5 +623,5 @@
     ! Initialize module pbl_surface_mod
 
-    if (iflag_physiq <= 1) then
+    if (iflag_physiq <= 1) THEN
       CALL pbl_surface_init(fder, snow, qsurf, tsoil)
     endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90	(revision 5116)
@@ -40,5 +40,5 @@
   USE ocean_slab_mod, ONLY: nslay, tslab, seaice, tice, fsic
   USE time_phylmdz_mod, ONLY: annee_ref, day_end, itau_phy, pdtphys
-  use config_ocean_skin_m, only: activate_ocean_skin
+  use config_ocean_skin_m, ONLY: activate_ocean_skin
   USE lmdz_abort_physic, ONLY: abort_physic
 
@@ -76,5 +76,5 @@
   ! Get variables which will be written to restart file from module 
   ! pbl_surface_mod
-  if (iflag_physiq <= 1) then
+  if (iflag_physiq <= 1) THEN
     CALL pbl_surface_final(fder, snow, qsurf, tsoil)
   endif
@@ -167,5 +167,5 @@
     CALL put_field_srf1(pass, "TS", "Temperature", ftsol(:, :))
 
-    IF (iflag_pbl>1 .AND. iflag_wake>=1  .AND. iflag_pbl_split >=1) then
+    IF (iflag_pbl>1 .AND. iflag_wake>=1  .AND. iflag_pbl_split >=1) THEN
       CALL put_field_srf1(pass, "DELTATS", &
               "w-x surface temperature difference", delta_tsurf(:, :))
@@ -274,5 +274,5 @@
     ! DEB TKE PBL !
 
-    IF (iflag_pbl>1) then
+    IF (iflag_pbl>1) THEN
       CALL put_field_srf3(pass, "TKE", "Energ. Cineti. Turb.", &
               pbl_tke(:, :, :))
@@ -379,6 +379,6 @@
             "tendency on zonal wind due to acama gravity waves", du_gwd_front)
 
-    if (activate_ocean_skin >= 1) then
-      if (activate_ocean_skin == 2 .and. type_ocean == 'couple') then
+    if (activate_ocean_skin >= 1) THEN
+      if (activate_ocean_skin == 2 .and. type_ocean == 'couple') THEN
         CALL put_field(pass, "delta_sal", &
                 "ocean-air interface salinity minus bulk salinity", delta_sal)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_cal_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_cal_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_cal_mod.F90	(revision 5116)
@@ -71,5 +71,5 @@
     ! This SUBROUTINE updates the module saved variables.
 
-    USE IOIPSL, only: ju2ymds, ymds2ju, ioget_mon_len, ioget_year_len
+    USE IOIPSL, ONLY: ju2ymds, ymds2ju, ioget_mon_len, ioget_year_len
     IMPLICIT NONE
     REAL, INTENT(IN) :: julian_date
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90	(revision 5116)
@@ -42,5 +42,5 @@
     USE surface_data, ONLY: landice_opt
     USE phys_output_ctrlout_mod
-    USE lmdz_grid_phy, only: klon_glo, nbp_lon, nbp_lat
+    USE lmdz_grid_phy, ONLY: klon_glo, nbp_lon, nbp_lat
     USE lmdz_print_control, ONLY: prt_level, lunout
     USE lmdz_vertical_layers, ONLY: ap, bp, preff, presnivs, aps, bps, pseudoalt, presinter
@@ -52,5 +52,5 @@
     USE isotopes_mod, ONLY: isoName,iso_HTO
 #ifdef ISOTRAC
-    use isotrac_mod, only: index_zone,index_iso,strtrac
+    use isotrac_mod, ONLY: index_zone,index_iso,strtrac
 #endif
 #endif
@@ -190,5 +190,5 @@
     ALLOCATE(o_dxtthe(ntraciso))
     ALLOCATE(o_dxtch4(ntraciso))
-    if (iso_HTO.gt.0) then
+    if (iso_HTO.gt.0) THEN
       ALLOCATE(o_dxtprod_nucl(ntraciso))
       ALLOCATE(o_dxtcosmo(ntraciso))
@@ -537,5 +537,5 @@
 
         IF (CPPKEY_STRATAER) THEN
-          if(tracers(iq)%name(1:3)=='BIN') then
+          IF(tracers(iq)%name(1:3)=='BIN') THEN
             itrb = itrb + 1
             flag = [11, 11, 11, 11, 11, 11, 11, 11, 11, 1]
@@ -551,5 +551,5 @@
 
 #ifdef ISO
-    write(*,*) 'phys_output_mid 589'
+    WRITE(*,*) 'phys_output_mid 589'
     do ixt=1,ntraciso
       outiso = TRIM(isoName(ixt))
@@ -601,5 +601,5 @@
       END IF
     enddo !do ixt=1,niso
-    write(*,*) 'phys_output_mid 596'
+    WRITE(*,*) 'phys_output_mid 596'
 #endif
 
@@ -643,5 +643,5 @@
     CHARACTER(LEN = 10) :: type
     INTEGER :: ipos, il
-    real :: ttt, xxx, timestep, dayseconde, dtime
+    REAL :: ttt, xxx, timestep, dayseconde, dtime
     parameter (dayseconde = 86400.)
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_var_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_var_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_var_mod.F90	(revision 5116)
@@ -186,5 +186,5 @@
   SUBROUTINE phys_output_var_init
     use dimphy
-    use config_ocean_skin_m, only: activate_ocean_skin
+    use config_ocean_skin_m, ONLY: activate_ocean_skin
 
     IMPLICIT NONE
@@ -221,5 +221,5 @@
 ! Variables de sortie simulateur AIRS
 
-!     if (ok_airs) then
+!     if (ok_airs) THEN
       allocate (map_prop_hc(klon),map_prop_hist(klon))
       allocate (alt_tropo(klon))
@@ -285,5 +285,5 @@
 ! Variables de sortie simulateur AIRS
 
- !    if (ok_airs) then
+ !    if (ok_airs) THEN
       deallocate (map_prop_hc,map_prop_hist)
       deallocate (alt_tropo)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90	(revision 5116)
@@ -585,6 +585,6 @@
          !$OMP MASTER
          IF (vars_defined) THEN
-            IF (prt_level >= 10) then
-               write(lunout,*)"phys_output_write: CALL xios_update_calendar, itau_w=",itau_w
+            IF (prt_level >= 10) THEN
+               WRITE(lunout,*)"phys_output_write: CALL xios_update_calendar, itau_w=",itau_w
             ENDIF
 !            CALL xios_update_calendar(itau_w)
@@ -600,8 +600,8 @@
 
        zx_tmp_fi2d = cell_area
-       IF (is_north_pole_phy) then
+       IF (is_north_pole_phy) THEN
          zx_tmp_fi2d(1) = cell_area(1)/nbp_lon
        ENDIF
-       IF (is_south_pole_phy) then
+       IF (is_south_pole_phy) THEN
          zx_tmp_fi2d(klon) = cell_area(klon)/nbp_lon
        ENDIf
@@ -655,5 +655,5 @@
 !!! Champs 2D !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! Simulateur AIRS
-       IF (ok_airs) then
+       IF (ok_airs) THEN
          CALL histwrite_phy(o_alt_tropo,alt_tropo)
  
@@ -1695,5 +1695,5 @@
        IF (vars_defined) THEN
           DO i=1, klon
-             IF (zt2m(i)<=273.15) then
+             IF (zt2m(i)<=273.15) THEN
                 zx_tmp_fi2d(i)=MAX(0.,rh2m(i)*100.)
              ELSE
@@ -1944,5 +1944,5 @@
        ENDIF
        ! Champs 3D:
-       IF (ok_ade .OR. ok_aie) then
+       IF (ok_ade .OR. ok_aie) THEN
           IF (type_trac/='inca' .OR. config_inca=='aeNP') THEN 
              CALL histwrite_phy(o_ec550aer, ec550aer)
@@ -2721,6 +2721,5 @@
   ENDIF !using_xios
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-       IF (iflag_phytrac == 1 ) then
-
+       IF (iflag_phytrac == 1 ) THEN
          IF (type_trac == 'co2i') THEN
            itr = 0
@@ -2728,5 +2727,5 @@
              IF(.NOT.tracers(iq)%isInPhysics) CYCLE
              itr = itr + 1
-!            write(*,*) 'phys_output_write_mod 2370: itr=',itr
+!            WRITE(*,*) 'phys_output_write_mod 2370: itr=',itr
              !--3D fields
              CALL histwrite_phy(o_trac(itr), tr_seri(:,:,itr))
@@ -2786,5 +2785,5 @@
              IF(.NOT.tracers(iq)%isInPhysics) CYCLE
              itr = itr + 1
-!            write(*,*) 'phys_output_write_mod 2337: itr=',itr
+!            WRITE(*,*) 'phys_output_write_mod 2337: itr=',itr
              !--3D fields
              CALL histwrite_phy(o_trac(itr), tr_seri(:,:,itr))
@@ -2815,5 +2814,5 @@
        ENDIF   !(iflag_phytrac==1)
 
-       if (activate_ocean_skin >= 1) then
+       if (activate_ocean_skin >= 1) THEN
           CALL histwrite_phy(o_delta_sst, delta_sst)
           CALL histwrite_phy(o_delta_sal, delta_sal)
@@ -2829,10 +2828,10 @@
 
 #ifdef ISO
-    !write(*,*) 'tmp phys_output_write: ntiso=',ntiso
+    !WRITE(*,*) 'tmp phys_output_write: ntiso=',ntiso
     !! runoff land bucket - ajout S. Nguyen 25 avril 2024
     CALL histwrite_phy(o_runoff_diag, runoff_diag)
 
     do ixt=1,ntiso
-        !write(*,*) 'ixt,o_xtovap(ixt)=',ixt,o_xtovap(ixt)
+        !WRITE(*,*) 'ixt,o_xtovap(ixt)=',ixt,o_xtovap(ixt)
         IF (vars_defined) zx_tmp_fi2d(:) = xtrain_fall(ixt,:) + xtsnow_fall(ixt,:)
         CALL histwrite_phy(o_xtprecip(ixt), zx_tmp_fi2d)
@@ -2895,5 +2894,5 @@
         ENDIF
 
-    !write(*,*) 'phys_output_write_mod 2531'
+    !WRITE(*,*) 'phys_output_write_mod 2531'
     ENDDO
 #endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_state_var_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_state_var_mod.F90	(revision 5116)
@@ -10,5 +10,5 @@
 ! Declaration des variables
       USE dimphy
-      USE netcdf, only: nf90_fill_real
+      USE netcdf, ONLY: nf90_fill_real
       INTEGER, PARAMETER :: nlevSTD=17
       INTEGER, PARAMETER :: nlevSTD8=8
@@ -40,5 +40,5 @@
 !$OMP THREADPRIVATE(treedrg)
 
-!      character(len=6), SAVE :: ocean
+!      CHARACTER(LEN=6), SAVE :: ocean
 !!!!!!$OMP THREADPRIVATE(ocean)
 !      logical, SAVE :: ok_veget 
@@ -540,6 +540,6 @@
 #endif
 USE indice_sol_mod
-use config_ocean_skin_m, only: activate_ocean_skin
-use surface_data, only: type_ocean
+use config_ocean_skin_m, ONLY: activate_ocean_skin
+use surface_data, ONLY: type_ocean
 IMPLICIT NONE
 
@@ -690,5 +690,5 @@
 !albedo SB <<<
 
-      if (read_climoz <= 1) then
+      if (read_climoz <= 1) THEN
          ALLOCATE(wo(klon,klev, 1))
       else
@@ -783,5 +783,5 @@
       ENDIF
 
-      if (activate_ocean_skin >= 1) then
+      if (activate_ocean_skin >= 1) THEN
          ALLOCATE(delta_sal(klon), ds_ns(klon), dt_ns(klon), delta_sst(klon), &
               dter(klon), dser(klon))
@@ -797,6 +797,6 @@
 !USE dimphy
 USE indice_sol_mod
-use config_ocean_skin_m, only: activate_ocean_skin
-use surface_data, only: type_ocean
+use config_ocean_skin_m, ONLY: activate_ocean_skin
+use surface_data, ONLY: type_ocean
 IMPLICIT NONE
 include "clesphys.h"
@@ -943,5 +943,5 @@
       DEALLOCATE(ratqs_inter_)
 
-      if (activate_ocean_skin >= 1) then
+      if (activate_ocean_skin >= 1) THEN
          deALLOCATE(delta_sal, ds_ns, dt_ns, delta_sst, dter, dser)
          if (activate_ocean_skin == 2 .and. type_ocean == "couple") &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5116)
@@ -736,5 +736,5 @@
 
     !JLD    !---D\'eclenchement stochastique
-    !JLD    integer :: tau_trig(klon)
+    !JLD    INTEGER :: tau_trig(klon)
 
     REAL, SAVE :: random_notrig_max = 1.
@@ -1169,5 +1169,5 @@
     include "ini_COSP.h"
 #endif
-    real :: mr_ozone(klon, klev), phicosp(klon, klev)
+    REAL :: mr_ozone(klon, klev), phicosp(klon, klev)
 
     !IM stations CFMIP
@@ -1300,20 +1300,20 @@
     IF (prt_level>=1) THEN
       igout = klon / 2 + 1 / klon
-      write(lunout, *) 'DEBUT DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
-      write(lunout, *) 'igout, lat, lon ', igout, latitude_deg(igout), &
+      WRITE(lunout, *) 'DEBUT DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
+      WRITE(lunout, *) 'igout, lat, lon ', igout, latitude_deg(igout), &
               longitude_deg(igout)
-      write(lunout, *) &
+      WRITE(lunout, *) &
               'nlon,klev,nqtot,debut,lafin, jD_cur, jH_cur,pdtphys'
-      write(lunout, *) &
+      WRITE(lunout, *) &
               nlon, klev, nqtot, debut, lafin, jD_cur, jH_cur, pdtphys
 
-      write(lunout, *) 'paprs, play, phi, u, v, t'
+      WRITE(lunout, *) 'paprs, play, phi, u, v, t'
       DO k = 1, klev
-        write(lunout, *) paprs(igout, k), pplay(igout, k), pphi(igout, k), &
+        WRITE(lunout, *) paprs(igout, k), pplay(igout, k), pphi(igout, k), &
                 u(igout, k), v(igout, k), t(igout, k)
       ENDDO
-      write(lunout, *) 'ovap (g/kg),  oliq (g/kg)'
+      WRITE(lunout, *) 'ovap (g/kg),  oliq (g/kg)'
       DO k = 1, klev
-        write(lunout, *) qx(igout, k, 1) * 1000, qx(igout, k, 2) * 1000.
+        WRITE(lunout, *) qx(igout, k, 1) * 1000, qx(igout, k, 2) * 1000.
       ENDDO
     ENDIF
@@ -1745,5 +1745,5 @@
       IF (.NOT. create_etat0_limit) CALL init_readaerosolstrato(flag_aerosol_strat)  !! initialise aero strato from file for XIOS interpolation (unstructured_grid)
 
-      if (ok_cosp) then
+      if (ok_cosp) THEN
 #ifdef CPP_COSP
         ! A.I : Initialisations pour le 1er passage a Cosp
@@ -1823,5 +1823,5 @@
               RVTMP2, RTT, RD, RG, RV, RPI)
       ! Test de coherence sur oc_cdnc utilisé uniquement par cloud_optics_prop
-      IF (ok_newmicro) then
+      IF (ok_newmicro) THEN
         IF (iflag_rrtm==1) THEN
 #ifdef CPP_RRTM
@@ -2062,5 +2062,5 @@
       tave = 'ave(X)'
       !IM cf. AM 081204 BEG
-      write(lunout, *)'AVANT HIST IFLAG_CON=', iflag_con
+      WRITE(lunout, *)'AVANT HIST IFLAG_CON=', iflag_con
       !IM cf. AM 081204 END
 
@@ -2559,8 +2559,8 @@
       IF (read_climoz <= 0) THEN
         ! Once per day, update ozone from Royer:
-        IF (solarlong0<-999.) then
+        IF (solarlong0<-999.) THEN
           ! Generic case with evolvoing season
           zzz = real(days_elapsed + 1)
-        ELSE IF (abs(solarlong0 - 1000.)<1.e-4) then
+        ELSE IF (abs(solarlong0 - 1000.)<1.e-4) THEN
           ! Particular case with annual mean insolation
           zzz = real(90) ! could be revisited
@@ -2652,5 +2652,5 @@
     ENDIF
 
-    IF (prt_level>=1) write(lunout, *)'Longitude solaire ', zlongi, solarlong0, dist
+    IF (prt_level>=1) WRITE(lunout, *)'Longitude solaire ', zlongi, solarlong0, dist
 
 
@@ -2796,8 +2796,8 @@
         jlr_g_c = (((19.8 * (pr_et(1:klon)**2)) / (1.5 + pr_et(1:klon) + pr_et(1:klon)**2))**(0.4))**2
         gustiness(1:klon) = jlr_g_c + jlr_g_s
-        !!       write(*,*) "rain ",pr_et
-        !!       write(*,*) "jlr_g_c",jlr_g_c
-        !!       write(*,*) "wstar",wstar(1,3)
-        !!       write(*,*) "jlr_g_s",jlr_g_s
+        !!       WRITE(*,*) "rain ",pr_et
+        !!       WRITE(*,*) "jlr_g_c",jlr_g_c
+        !!       WRITE(*,*) "wstar",wstar(1,3)
+        !!       WRITE(*,*) "jlr_g_s",jlr_g_s
         ! ELSE IF (iflag_gusts==2) THEN
         !    do i = 1, klon
@@ -2987,6 +2987,6 @@
 
     IF (prt_level>=1) THEN
-      write(lunout, *) 'L   qsat (g/kg) avant clouds_gno'
-      write(lunout, '(i4,f15.4)') (k, 1000. * zqsat(igout, k), k = 1, klev)
+      WRITE(lunout, *) 'L   qsat (g/kg) avant clouds_gno'
+      WRITE(lunout, '(i4,f15.4)') (k, 1000. * zqsat(igout, k), k = 1, klev)
     ENDIF
 
@@ -3009,5 +3009,5 @@
     ENDDO
 
-    IF (prt_level>=1) write(lunout, *) 'omega(igout, :) = ', &
+    IF (prt_level>=1) WRITE(lunout, *) 'omega(igout, :) = ', &
             omega(igout, :)
 
@@ -3095,5 +3095,5 @@
         ! The corresponding tendencies are added to the convective tendencies
         ! after the CALL to the convective scheme.
-        IF (iflag_wake>=1) then
+        IF (iflag_wake>=1) THEN
           IF (iflag_adjwk >= 1) THEN
             limbas(:) = 1
@@ -3301,5 +3301,5 @@
           ! où i n'est pas un point convectif et donc ibas_con(i)=0
           ! c'est un pb indépendant des isotopes
-          if (ibas_con(i) > 0) then
+          if (ibas_con(i) > 0) THEN
             ema_pcb(i) = paprs(i, ibas_con(i))
           else
@@ -3314,11 +3314,11 @@
           IF (itop_con(i)>klev - 3) THEN
             IF (prt_level >= 9) THEN
-              write(lunout, *)'La convection monte trop haut '
-              write(lunout, *)'itop_con(,', i, ',)=', itop_con(i)
+              WRITE(lunout, *)'La convection monte trop haut '
+              WRITE(lunout, *)'itop_con(,', i, ',)=', itop_con(i)
             ENDIF
           ENDIF
         ENDDO
       ELSE IF (iflag_con==0) THEN
-        write(lunout, *) 'On n appelle pas la convection'
+        WRITE(lunout, *) 'On n appelle pas la convection'
         clwcon0 = 0.
         rnebcon0 = 0.
@@ -3672,5 +3672,5 @@
         ! Transport de la TKE par les panaches thermiques.
         ! FH : 2010/02/01
-        if (iflag_thermcell_tke==1) then
+        if (iflag_thermcell_tke==1) THEN
           CALL thermcell_dtke(klon, klev, nbsrf, pdtphys, fm_therm, entr_therm, rg, paprs, pbl_tke)
         endif
@@ -3807,8 +3807,8 @@
 
     !+JLD
-    !    write(*,9000) 'phys lsc',"enerbil: bil_q, bil_e,",rain_lsc+snow_lsc &
+    !    WRITE(*,9000) 'phys lsc',"enerbil: bil_q, bil_e,",rain_lsc+snow_lsc &
     !        & ,((rcw-rcpd)*rain_lsc + (rcs-rcpd)*snow_lsc)*t_seri(1,1)-rlvtt*rain_lsc+rlstt*snow_lsc &
     !        & ,rain_lsc,snow_lsc
-    !    write(*,9000) "rcpv","rcw",rcpv,rcw,rcs,t_seri(1,1)
+    !    WRITE(*,9000) "rcpv","rcw",rcpv,rcw,rcs,t_seri(1,1)
     !-JLD
     CALL add_phys_tend(du0, dv0, d_t_lsc, d_q_lsc, d_ql_lsc, d_qi_lsc, dqbs0, paprs, &
@@ -4067,5 +4067,5 @@
       tpot(i) = zt2m(i) * (100000. / paprs(i, 1))**RKAPPA
       IF (thermcep) THEN
-        IF(zt2m(i)<RTT) then
+        IF(zt2m(i)<RTT) THEN
           Lheat = RLSTT
         ELSE
@@ -4583,5 +4583,5 @@
         ! a declarer comme iflag_rrtm et a lire dans physiq.def
 #ifdef CPP_ECRAD
-          IF (ok_3Deffect) then
+          IF (ok_3Deffect) THEN
 !                PRINT*,'ok_3Deffect = ',ok_3Deffect
                 namelist_ecrad_file='namelist_ecrad_s2'
@@ -4806,5 +4806,5 @@
     ENDIF ! fin de test sur ok_orolf
 
-    IF (ok_hines) then
+    IF (ok_hines) THEN
       !  HINES GWD PARAMETRIZATION
       east_gwstress = 0.
@@ -4830,5 +4830,5 @@
     ENDIF
 
-    IF (.not. ok_hines .and. ok_gwd_rando) then
+    IF (.not. ok_hines .and. ok_gwd_rando) THEN
       ! ym missing init for east_gwstress & west_gwstress -> added in phys_local_var_mod
       CALL acama_GWD_rando(PHYS_TSTEP, pplay, latitude_deg, t_seri, u_seri, &
@@ -5159,8 +5159,7 @@
     ! Marine
 
-    IF (ok_airs) then
-
+    IF (ok_airs) THEN
       IF (itap==1.or.MOD(itap, NINT(freq_airs / phys_tstep))==0) THEN
-        write(*, *) 'je vais appeler simu_airs, ok_airs, freq_airs=', ok_airs, freq_airs
+        WRITE(*, *) 'je vais appeler simu_airs, ok_airs, freq_airs=', ok_airs, freq_airs
         CALL simu_airs(itap, rneb, t_seri, cldemi, fiwc, ref_ice, pphi, pplay, paprs, &
                 map_prop_hc, map_prop_hist, &
@@ -5509,39 +5508,39 @@
 
     IF (prt_level>=1) THEN
-      write(lunout, *) 'FIN DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
-      write(lunout, *) &
+      WRITE(lunout, *) 'FIN DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
+      WRITE(lunout, *) &
               'nlon,klev,nqtot,debut,lafin,jD_cur, jH_cur, pdtphys pct tlos'
-      write(lunout, *) &
+      WRITE(lunout, *) &
               nlon, klev, nqtot, debut, lafin, jD_cur, jH_cur, pdtphys, &
               pctsrf(igout, is_ter), pctsrf(igout, is_lic), pctsrf(igout, is_oce), &
               pctsrf(igout, is_sic)
-      write(lunout, *) 'd_t_dyn,d_t_con,d_t_lsc,d_t_ajsb,d_t_ajs,d_t_eva'
+      WRITE(lunout, *) 'd_t_dyn,d_t_con,d_t_lsc,d_t_ajsb,d_t_ajs,d_t_eva'
       DO k = 1, klev
-        write(lunout, *) d_t_dyn(igout, k), d_t_con(igout, k), &
+        WRITE(lunout, *) d_t_dyn(igout, k), d_t_con(igout, k), &
                 d_t_lsc(igout, k), d_t_ajsb(igout, k), d_t_ajs(igout, k), &
                 d_t_eva(igout, k)
       ENDDO
-      write(lunout, *) 'cool,heat'
+      WRITE(lunout, *) 'cool,heat'
       DO k = 1, klev
-        write(lunout, *) cool(igout, k), heat(igout, k)
+        WRITE(lunout, *) cool(igout, k), heat(igout, k)
       ENDDO
 
       !jyg<     (En attendant de statuer sur le sort de d_t_oli)
-      !jyg!     write(lunout,*) 'd_t_oli,d_t_vdf,d_t_oro,d_t_lif,d_t_ec'
+      !jyg!     WRITE(lunout,*) 'd_t_oli,d_t_vdf,d_t_oro,d_t_lif,d_t_ec'
       !jyg!     do k=1,klev
-      !jyg!        write(lunout,*) d_t_oli(igout,k),d_t_vdf(igout,k), &
+      !jyg!        WRITE(lunout,*) d_t_oli(igout,k),d_t_vdf(igout,k), &
       !jyg!             d_t_oro(igout,k),d_t_lif(igout,k),d_t_ec(igout,k)
       !jyg!     enddo
-      write(lunout, *) 'd_t_vdf,d_t_oro,d_t_lif,d_t_ec'
+      WRITE(lunout, *) 'd_t_vdf,d_t_oro,d_t_lif,d_t_ec'
       DO k = 1, klev
-        write(lunout, *) d_t_vdf(igout, k), &
+        WRITE(lunout, *) d_t_vdf(igout, k), &
                 d_t_oro(igout, k), d_t_lif(igout, k), d_t_ec(igout, k)
       ENDDO
       !>jyg
 
-      write(lunout, *) 'd_ps ', d_ps(igout)
-      write(lunout, *) 'd_u, d_v, d_t, d_qx1, d_qx2 '
+      WRITE(lunout, *) 'd_ps ', d_ps(igout)
+      WRITE(lunout, *) 'd_u, d_v, d_t, d_qx1, d_qx2 '
       DO k = 1, klev
-        write(lunout, *) d_u(igout, k), d_v(igout, k), d_t(igout, k), &
+        WRITE(lunout, *) d_u(igout, k), d_v(igout, k), d_t(igout, k), &
                 d_qx(igout, k, 1), d_qx(igout, k, 2)
       ENDDO
@@ -5631,5 +5630,5 @@
 
     ! Petit appelle de sorties pour accompagner le travail sur phyex
-    if (iflag_physiq == 1) then
+    if (iflag_physiq == 1) THEN
       CALL output_physiqex(debut, jD_eq, pdtphys, presnivs, paprs, u, v, t, qx, cldfra, 0. * t, 0. * t, 0. * t, pbl_tke, theta)
     endif
@@ -5658,5 +5657,5 @@
       CALL phyredem ("restartphy.nc")
       !         open(97,form="unformatted",file="finbin")
-      !         write(97) u_seri,v_seri,t_seri,q_seri
+      !         WRITE(97) u_seri,v_seri,t_seri,q_seri
       !         close(97)
 
